Changes in 6.2.1

Changes in 6.2.1 That May Affect Your Upgrade

Removal of the Impala Connector

JasperReports Server provides new and updated drivers for various databases. In this release, the previous connector for Impala that was available on the Jaspersoft community website is replaced with the Simba JDBC driver (Cloudera-endorsed JDBC interface).

By default, the new release supports the new JDBC driver, and the old Impala connector cannot be used. You should update your Impala data sources to use the new driver. For more information, see the JasperReports Server Community Project Administrator Guide.

If you wish to continue using the Impala connector from the community website, you must replace the following JAR files in the .../WEB-INF/lib directory:

Replace

With This

hive-service-0.13.1.jar

hive-service-0.12.0-cdh5.1.3.jar

zookeeper-3.4.6.jar

zookeeper-3.4.5-cdh5.1.3.jar

Unless you replace the files listed in the table, data sources that use the old Impala connector will cause errors when running reports that rely on them.

Feedback
randomness